# Uses of Interface
org.gitana.platform.client.webhost.DeployedApplication

Packages that use DeployedApplication
Package
Description
org.gitana.platform.client.application
org.gitana.platform.client.support
org.gitana.platform.client.webhost

## Uses of DeployedApplication in org.gitana.platform.client.application

Methods in org.gitana.platform.client.application that return DeployedApplication
Modifier and Type
Method
Description
`DeployedApplication`
Application.`deploy(String deploymentKey)`
`DeployedApplication`
ApplicationImpl.`deploy(String deploymentKey)`
`DeployedApplication`
Application.`findDeployed(String deploymentKey)`
`DeployedApplication`
ApplicationImpl.`findDeployed(String deploymentKey)`

## Uses of DeployedApplication in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return DeployedApplication
Modifier and Type
Method
Description
`DeployedApplication`
ObjectFactory.`deployedApplication(WebHost webhost, Response response)`
`DeployedApplication`
ObjectFactoryImpl.`deployedApplication(WebHost webhost, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type DeployedApplication
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DeployedApplication>`
ObjectFactory.`deployedApplications(WebHost webhost, Response response)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
ObjectFactoryImpl.`deployedApplications(WebHost webhost, Response response)`

## Uses of DeployedApplication in org.gitana.platform.client.webhost

Classes in org.gitana.platform.client.webhost that implement DeployedApplication
Modifier and Type
Class
Description
`class`
`DeployedApplicationImpl`
Methods in org.gitana.platform.client.webhost that return DeployedApplication
Modifier and Type
Method
Description
`DeployedApplication`
WebHost.`readDeployedApplication(String deployedApplicationId)`
`DeployedApplication`
WebHostImpl.`readDeployedApplication(String deployedApplicationId)`
Methods in org.gitana.platform.client.webhost that return types with arguments of type DeployedApplication
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHost.`listDeployedApplications()`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHost.`listDeployedApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHostImpl.`listDeployedApplications()`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHostImpl.`listDeployedApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHost.`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHost.`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHostImpl.`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
WebHostImpl.`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`